import ease from ".";

const DURATION = 2;

test("returns correct ease quint out with 2 second duration", () => {
  const easing = ease.quint(DURATION).out;

  expect(easing).toEqual({
    ease: [0.23, 1, 0.32, 1],
    type: "tween",
    duration: DURATION,
  });
});

test("returns correct ease circ in with 2 second duration", () => {
  const easing = ease.circ(DURATION).in;

  expect(easing).toEqual({
    ease: [0.6, 0.04, 0.98, 0.335],
    type: "tween",
    duration: DURATION,
  });
});
